<?php
namespace FiloBlu\EsbRma\Api\Data;

use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Api\Data\ProducerInterface;
use Magento\Rma\Api\Data\RmaInterface;

/**
 * Interface RmaProducerInterface
 * @package FiloBlu\Esb\Api\Data
 */
interface RmaProducerInterface extends ProducerInterface
{
    /**
     * @param RmaInterface|null $order
     * @return MessageInterface
     */
    public function produce(RmaInterface $order = null) : MessageInterface;
}
